org.apache.catalina.startup

## Class Constants

- java.lang.Object
- - org.apache.catalina.startup.Constants

    public final class Constants
    extends Object

String constants for the startup package.

Author:
  Craig R. McClanahan, Jean-Francois Arcand

### Field Summary

Fields
`static String` `ApplicationContextXml`
`static String` `ApplicationWebXml`
`static String` `DEFAULT_JARS_TO_SKIP`
`static String` `DefaultContextXml`
`static String` `DefaultWebXml`
`static String` `HostContextXml`
`static String` `HostWebXml`
`static String` `J2eeSchemaPublicId_14`
`static String` `J2eeSchemaResourcePath_14`
`static String` `J2eeWebServiceClientSchemaPublicId_11`
`static String` `J2eeWebServiceClientSchemaResourcePath_11`
`static String` `J2eeWebServiceSchemaPublicId_11`
`static String` `J2eeWebServiceSchemaResourcePath_11`
`static String` `JavaeeSchemaPublicId_5`
`static String` `JavaeeSchemaPublicId_6`
`static String` `JavaeeSchemaResourcePath_5`
`static String` `JavaeeSchemaResourcePath_6`
`static String` `JavaeeWebServiceClientSchemaPublicId_12`
`static String` `JavaeeWebServiceClientSchemaPublicId_13`
`static String` `JavaeeWebServiceClientSchemaResourcePath_12`
`static String` `JavaeeWebServiceClientSchemaResourcePath_13`
`static String` `JavaeeWebServiceSchemaPublicId_12`
`static String` `JavaeeWebServiceSchemaPublicId_13`
`static String` `JavaeeWebServiceSchemaResourcePath_12`
`static String` `JavaeeWebServiceSchemaResourcePath_13`
`static String` `JspSchemaPublicId_20`
`static String` `JspSchemaPublicId_21`
`static String` `JspSchemaPublicId_22`
`static String` `JspSchemaResourcePath_20`
`static String` `JspSchemaResourcePath_21`
`static String` `JspSchemaResourcePath_22`
`static String` `NoDefaultWebXml` A dummy value used to suppress loading the default web.xml file.
`static String` `Package`
`static String` `PLUGGABILITY_JARS_TO_SKIP`
`static String` `TLD_JARS_TO_SKIP`
`static String` `TldDtdPublicId_11`
`static String` `TldDtdPublicId_12`
`static String` `TldDtdResourcePath_11`
`static String` `TldDtdResourcePath_12`
`static String` `TldSchemaPublicId_20`
`static String` `TldSchemaPublicId_21`
`static String` `TldSchemaResourcePath_20`
`static String` `TldSchemaResourcePath_21`
`static String` `W3cDatatypesDTDPublicId_10`
`static String` `W3cDatatypesDTDResourcePath_10`
`static String` `W3cSchemaDTDPublicId_10`
`static String` `W3cSchemaDTDResourcePath_10`
`static String` `W3cSchemaPublicId_10`
`static String` `W3cSchemaResourcePath_10`
`static String` `WebCommonSchemaPublicId_30`
`static String` `WebCommonSchemaResourcePath_30`
`static String` `WebDtdPublicId_22`
`static String` `WebDtdPublicId_23`
`static String` `WebDtdResourcePath_22`
`static String` `WebDtdResourcePath_23`
`static String` `WebFragmentSchemaPublicId_30`
`static String` `WebFragmentSchemaResourcePath_30`
`static String` `WebSchemaPublicId_24`
`static String` `WebSchemaPublicId_25`
`static String` `WebSchemaPublicId_30`
`static String` `WebSchemaResourcePath_24`
`static String` `WebSchemaResourcePath_25`
`static String` `WebSchemaResourcePath_30`

### Constructor Summary

Constructors
Constructor and Description
`Constants()`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### Package

    public static final String Package

See Also:
  Constant Field Values

#### ApplicationContextXml

    public static final String ApplicationContextXml

See Also:
  Constant Field Values

#### ApplicationWebXml

    public static final String ApplicationWebXml

See Also:
  Constant Field Values

#### DefaultContextXml

    public static final String DefaultContextXml

See Also:
  Constant Field Values

#### DefaultWebXml

    public static final String DefaultWebXml

See Also:
  Constant Field Values

#### HostContextXml

    public static final String HostContextXml

See Also:
  Constant Field Values

#### HostWebXml

    public static final String HostWebXml

See Also:
  Constant Field Values

#### DEFAULT_JARS_TO_SKIP

    public static final String DEFAULT_JARS_TO_SKIP

See Also:
  Constant Field Values

#### PLUGGABILITY_JARS_TO_SKIP

    public static final String PLUGGABILITY_JARS_TO_SKIP

See Also:
  Constant Field Values

#### TLD_JARS_TO_SKIP

    public static final String TLD_JARS_TO_SKIP

See Also:
  Constant Field Values

#### NoDefaultWebXml

    public static final String NoDefaultWebXml

A dummy value used to suppress loading the default web.xml file.

It is useful when embedding Tomcat, when the default configuration is done programmatically, e.g. by calling `Tomcat.initWebappDefaults(context)`.

See Also:
  `Tomcat`, Constant Field Values

#### J2eeSchemaPublicId_14

    public static final String J2eeSchemaPublicId_14

See Also:
  Constant Field Values

#### J2eeSchemaResourcePath_14

    public static final String J2eeSchemaResourcePath_14

See Also:
  Constant Field Values

#### JavaeeSchemaPublicId_5

    public static final String JavaeeSchemaPublicId_5

See Also:
  Constant Field Values

#### JavaeeSchemaResourcePath_5

    public static final String JavaeeSchemaResourcePath_5

See Also:
  Constant Field Values

#### JavaeeSchemaPublicId_6

    public static final String JavaeeSchemaPublicId_6

See Also:
  Constant Field Values

#### JavaeeSchemaResourcePath_6

    public static final String JavaeeSchemaResourcePath_6

See Also:
  Constant Field Values

#### W3cSchemaPublicId_10

    public static final String W3cSchemaPublicId_10

See Also:
  Constant Field Values

#### W3cSchemaResourcePath_10

    public static final String W3cSchemaResourcePath_10

See Also:
  Constant Field Values

#### W3cSchemaDTDPublicId_10

    public static final String W3cSchemaDTDPublicId_10

See Also:
  Constant Field Values

#### W3cSchemaDTDResourcePath_10

    public static final String W3cSchemaDTDResourcePath_10

See Also:
  Constant Field Values

#### W3cDatatypesDTDPublicId_10

    public static final String W3cDatatypesDTDPublicId_10

See Also:
  Constant Field Values

#### W3cDatatypesDTDResourcePath_10

    public static final String W3cDatatypesDTDResourcePath_10

See Also:
  Constant Field Values

#### JspSchemaPublicId_20

    public static final String JspSchemaPublicId_20

See Also:
  Constant Field Values

#### JspSchemaResourcePath_20

    public static final String JspSchemaResourcePath_20

See Also:
  Constant Field Values

#### JspSchemaPublicId_21

    public static final String JspSchemaPublicId_21

See Also:
  Constant Field Values

#### JspSchemaResourcePath_21

    public static final String JspSchemaResourcePath_21

See Also:
  Constant Field Values

#### JspSchemaPublicId_22

    public static final String JspSchemaPublicId_22

See Also:
  Constant Field Values

#### JspSchemaResourcePath_22

    public static final String JspSchemaResourcePath_22

See Also:
  Constant Field Values

#### TldDtdPublicId_11

    public static final String TldDtdPublicId_11

See Also:
  Constant Field Values

#### TldDtdResourcePath_11

    public static final String TldDtdResourcePath_11

See Also:
  Constant Field Values

#### TldDtdPublicId_12

    public static final String TldDtdPublicId_12

See Also:
  Constant Field Values

#### TldDtdResourcePath_12

    public static final String TldDtdResourcePath_12

See Also:
  Constant Field Values

#### TldSchemaPublicId_20

    public static final String TldSchemaPublicId_20

See Also:
  Constant Field Values

#### TldSchemaResourcePath_20

    public static final String TldSchemaResourcePath_20

See Also:
  Constant Field Values

#### TldSchemaPublicId_21

    public static final String TldSchemaPublicId_21

See Also:
  Constant Field Values

#### TldSchemaResourcePath_21

    public static final String TldSchemaResourcePath_21

See Also:
  Constant Field Values

#### WebDtdPublicId_22

    public static final String WebDtdPublicId_22

See Also:
  Constant Field Values

#### WebDtdResourcePath_22

    public static final String WebDtdResourcePath_22

See Also:
  Constant Field Values

#### WebDtdPublicId_23

    public static final String WebDtdPublicId_23

See Also:
  Constant Field Values

#### WebDtdResourcePath_23

    public static final String WebDtdResourcePath_23

See Also:
  Constant Field Values

#### WebSchemaPublicId_24

    public static final String WebSchemaPublicId_24

See Also:
  Constant Field Values

#### WebSchemaResourcePath_24

    public static final String WebSchemaResourcePath_24

See Also:
  Constant Field Values

#### WebSchemaPublicId_25

    public static final String WebSchemaPublicId_25

See Also:
  Constant Field Values

#### WebSchemaResourcePath_25

    public static final String WebSchemaResourcePath_25

See Also:
  Constant Field Values

#### WebSchemaPublicId_30

    public static final String WebSchemaPublicId_30

See Also:
  Constant Field Values

#### WebSchemaResourcePath_30

    public static final String WebSchemaResourcePath_30

See Also:
  Constant Field Values

#### WebCommonSchemaPublicId_30

    public static final String WebCommonSchemaPublicId_30

See Also:
  Constant Field Values

#### WebCommonSchemaResourcePath_30

    public static final String WebCommonSchemaResourcePath_30

See Also:
  Constant Field Values

#### WebFragmentSchemaPublicId_30

    public static final String WebFragmentSchemaPublicId_30

See Also:
  Constant Field Values

#### WebFragmentSchemaResourcePath_30

    public static final String WebFragmentSchemaResourcePath_30

See Also:
  Constant Field Values

#### J2eeWebServiceSchemaPublicId_11

    public static final String J2eeWebServiceSchemaPublicId_11

See Also:
  Constant Field Values

#### J2eeWebServiceSchemaResourcePath_11

    public static final String J2eeWebServiceSchemaResourcePath_11

See Also:
  Constant Field Values

#### J2eeWebServiceClientSchemaPublicId_11

    public static final String J2eeWebServiceClientSchemaPublicId_11

See Also:
  Constant Field Values

#### J2eeWebServiceClientSchemaResourcePath_11

    public static final String J2eeWebServiceClientSchemaResourcePath_11

See Also:
  Constant Field Values

#### JavaeeWebServiceSchemaPublicId_12

    public static final String JavaeeWebServiceSchemaPublicId_12

See Also:
  Constant Field Values

#### JavaeeWebServiceSchemaResourcePath_12

    public static final String JavaeeWebServiceSchemaResourcePath_12

See Also:
  Constant Field Values

#### JavaeeWebServiceClientSchemaPublicId_12

    public static final String JavaeeWebServiceClientSchemaPublicId_12

See Also:
  Constant Field Values

#### JavaeeWebServiceClientSchemaResourcePath_12

    public static final String JavaeeWebServiceClientSchemaResourcePath_12

See Also:
  Constant Field Values

#### JavaeeWebServiceSchemaPublicId_13

    public static final String JavaeeWebServiceSchemaPublicId_13

See Also:
  Constant Field Values

#### JavaeeWebServiceSchemaResourcePath_13

    public static final String JavaeeWebServiceSchemaResourcePath_13

See Also:
  Constant Field Values

#### JavaeeWebServiceClientSchemaPublicId_13

    public static final String JavaeeWebServiceClientSchemaPublicId_13

See Also:
  Constant Field Values

#### JavaeeWebServiceClientSchemaResourcePath_13

    public static final String JavaeeWebServiceClientSchemaResourcePath_13

See Also:
  Constant Field Values

### Constructor Detail

#### Constants

    public Constants()